# Copyright 2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit go-module

DESCRIPTION="A cli to manage qBittorrent"
HOMEPAGE="https://github.com/ludviglundgren/qbittorrent-cli"
SRC_URI="https://github.com/ludviglundgren/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
		https://git.millerson.name/alex/gentoo-artifacts/releases/download/${P}-vendor/${P}-vendor.tar.xz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

src_compile() {
        ego build -o bin/qbt -ldflags "
		-X main.version=v${PV}
		-X main.commit=release
		-X main.date=release" \
		cmd/qbt/main.go || die
}

src_install() {
        dobin bin/qbt
        dodoc README.md
}